export const hashContent = async (content: string) => {
	// content string to byte array
	const encoder = new TextEncoder()
	const data = encoder.encode(content)

	const hashBuffer = await crypto.subtle.digest("SHA-256", data)

	// hash bytes to hex string
	const hashArray = Array.from(new Uint8Array(hashBuffer))
	const hashHex = hashArray.map((b) => b.toString(16).padStart(2, "0")).join("")

	return hashHex
}
